Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class TibcoBaseView2

    java.lang.Object
      com.tibco.bpm.web.client.model.types.TibcoBaseView
          com.tibco.bpm.web.client.model.types.TibcoBaseView2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class TibcoBaseView2

extends TibcoBaseView
implements com.google.gwt.user.client.rpc.IsSerializable

Nested Class Summary
`static class` | `TibcoBaseView2.resourcesRequiredEnum`

Constructor Summary
`TibcoBaseView2()`
`TibcoBaseView2(long workListViewID, java.lang.String orderString, java.lang.String filterString, java.lang.String name, java.lang.String description, boolean publicView, OrgModelEntity orgEntity, java.util.ArrayList<OrgModelEntity> users, java.util.ArrayList<OrgModelEntity> authors, java.lang.String customData, java.util.Date creationDate, java.util.Date modificationDate, TibcoBaseView2.resourcesRequiredEnum resourcesRequired, boolean getAllocatedItems)`

Method Summary
`TibcoBaseView2.resourcesRequiredEnum` | `getResourcesRequired()`
`boolean` | `isGetAllocatedItems()`
`void` | `setGetAllocatedItems(boolean getAllocatedItems)`
`void` | `setResourcesRequired(TibcoBaseView2.resourcesRequiredEnum resourcesRequired)`

Methods inherited from class com.tibco.bpm.web.client.model.types.TibcoBaseView
`getAuthors, getCreationDate, getCustomData, getDescription, getFilterString, getModificationDate, getName, getOrderString, getOrgEntity, getOwner, getUsers, getWorkListViewID, isPublicView, setAuthors, setCreationDate, setCustomData, setDescription, setFilterString, setModificationDate, setName, setOrderString, setOrgEntity, setOwner, setPublicView, setUsers, setWorkListViewID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TibcoBaseView2

    public TibcoBaseView2(long workListViewID,
                          java.lang.String orderString,
                          java.lang.String filterString,
                          java.lang.String name,
                          java.lang.String description,
                          boolean publicView,
                          OrgModelEntity orgEntity,
                          java.util.ArrayList<OrgModelEntity> users,
                          java.util.ArrayList<OrgModelEntity> authors,
                          java.lang.String customData,
                          java.util.Date creationDate,
                          java.util.Date modificationDate,
                          TibcoBaseView2.resourcesRequiredEnum resourcesRequired,
                          boolean getAllocatedItems)

### TibcoBaseView2

    public TibcoBaseView2()

Method Detail

### getResourcesRequired

    public TibcoBaseView2.resourcesRequiredEnum getResourcesRequired()

### setResourcesRequired

    public void setResourcesRequired(TibcoBaseView2.resourcesRequiredEnum resourcesRequired)

### isGetAllocatedItems

    public boolean isGetAllocatedItems()

### setGetAllocatedItems

    public void setGetAllocatedItems(boolean getAllocatedItems)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.